Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui.console
Class ConsoleColorProvider

    java.lang.Object
      org.eclipse.debug.ui.console.ConsoleColorProvider

All Implemented Interfaces:
  IConsoleColorProvider

public class ConsoleColorProvider
extends Object
implements IConsoleColorProvider

Default console color provider for a processs. Colors output to standard out, in, and error, as specified by user preferences.

Clients implementing a console color provider should subclass this class.

Since:
  2.1

Constructor Summary
`ConsoleColorProvider()`

Method Summary
`void` | `connect(IProcess process, IConsole console)` Connects this color provider to the given process and console.
`void` | `disconnect()` Disconnects this color provider.
`Color` | `getColor(String streamIdentifer)` Returns the color to draw output associated with the given stream.
`protected IConsole` | `getConsole()` Returns the console this color provider is connected to, or `null` if none.
`protected IProcess` | `getProcess()` Returns the process this color provider is providing color for, or `null` if none.
`boolean` | `isReadOnly()` Returns whether the console associated with this color provider's process can currently accept keyboard input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleColorProvider

    public ConsoleColorProvider()

Method Detail

### connect

    public void connect(IProcess process,
                        IConsole console)

  Description copied from interface: `IConsoleColorProvider`
  Connects this color provider to the given process and console. This color provider should connect its streams to the given console document.

  Specified by:
    `connect` in interface `IConsoleColorProvider`
  Parameters:
    `process` - the process to connect this color provider to
    `console` - the console to connect this color provider to

### disconnect

    public void disconnect()

  Description copied from interface: `IConsoleColorProvider`
  Disconnects this color provider.

  Specified by:
    `disconnect` in interface `IConsoleColorProvider`

### isReadOnly

    public boolean isReadOnly()

  Description copied from interface: `IConsoleColorProvider`
  Returns whether the console associated with this color provider's process can currently accept keyboard input. This attribute is dynamic and may change over the lifetime of a process/document.

  Specified by:
    `isReadOnly` in interface `IConsoleColorProvider`
  Returns:
    whether the console associated with this color provider's process can currently accept keyboard input

### getColor

    public Color getColor(String streamIdentifer)

  Description copied from interface: `IConsoleColorProvider`
  Returns the color to draw output associated with the given stream.

  Specified by:
    `getColor` in interface `IConsoleColorProvider`
  Parameters:
    `streamIdentifer` - the identifier of the stream
  Returns:
    Color

### getProcess

    protected IProcess getProcess()

  Returns the process this color provider is providing color for, or `null` if none.

  Returns:
    the process this color provider is providing color for, or `null` if none

### getConsole

    protected IConsole getConsole()

  Returns the console this color provider is connected to, or `null` if none.

  Returns:
    IConsole the console this color provider is connected to, or `null` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.